# A market's reference rate, volatility, positioning and events over time

URL: https://docs.fxapis.com/api-reference/marketlabs/a-markets-reference-rate-volatility-positioning-and-events-over-time

> A market's reference rate, volatility, positioning and events over time.

`GET https://api.fxapis.com/v1/marketlabs/markets/{symbol}/series`

Authentication: `Authorization: Bearer <API key>`.

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `symbol` | path | string | yes | Instrument, such as EURUSD. |

#### Responses

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `409`
- `503`

Failures return `{ "error": { "code", "message" } }`; every code is listed at https://docs.fxapis.com/errors.

#### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object | yes |  |
| `data.symbol` | string | yes |  |
| `data.source` | string | yes |  |
| `data.derived` | boolean | yes |  |
| `data.points` | object[] | yes |  |
| `data.points[].time` | string | no |  |
| `data.points[].value` | string | no |  |
| `data.volatility` | object[] | yes |  |
| `data.volatility[].time` | string | no |  |
| `data.volatility[].value` | string | no |  |
| `data.positioningCurrency` | null \| string | no | The currency whose CFTC futures the positioning series is for. |
| `data.positioning` | object[] | yes |  |
| `data.positioning[].time` | string | no |  |
| `data.positioning[].dealer` | null \| number | no |  |
| `data.positioning[].assetManager` | null \| number | no |  |
| `data.positioning[].leveraged` | null \| number | no |  |
| `data.positioning[].noncommercial` | null \| number | no |  |
| `data.events` | object[] | yes |  |
| `data.events[].time` | string | no |  |
| `data.events[].id` | string | no |  |
| `data.events[].title` | string | no |  |
| `data.events[].currency` | string | no |  |
| `data.events[].impact` | "high" \| "medium" \| "low" | no |  |
| `requestId` | string | yes |  |